## kalgebra 4.8.4

=== mobile/CMakeLists.txt ===
add_subdirectory(plugins)

if(${MOBILE_BACKEND} STREQUAL "kde")
	add_definitions(-DKDECOMPONENTS)
endif(${MOBILE_BACKEND} STREQUAL "kde")

kde4_add_executable(kalgebramobile pluginsmodel.cpp graph2dmobile.cpp analitzawrapper.cpp
	kalgebramobile.cpp main.cpp)

target_link_libraries(kalgebramobile ${KDE4_KDECORE_LIBS} ${QT_QTDECLARATIVE_LIBRARY}
	${QT_QTGUI_LIBRARY} ${ANALITZA_LIBRARY} ${ANALITZAGUI_LIBRARY})

set(DESKTOPFILE_INSTALL ${XDG_APPS_INSTALL_DIR})
if(${MOBILE_BACKEND} STREQUAL "harmattan")
	set(DESKTOPFILE_INSTALL ${XDG_APPS_INSTALL_DIR}/..)
elseif(${MOBILE_BACKEND} STREQUAL "kde")
	target_link_libraries(kalgebramobile kdeclarative)
endif(${MOBILE_BACKEND} STREQUAL "harmattan")

install(TARGETS kalgebramobile ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS kalgebramobile.desktop DESTINATION ${DESKTOPFILE_INSTALL} )
install(FILES
	kalgebrascript.desktop
	DESTINATION ${SERVICETYPES_INSTALL_DIR}
)

## kalgebra 4.7.1

=== debian/changelog ===
kalgebra (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 15 Sep 2011 22:52:37 +0200

kalgebra (4:4.7.1-0ubuntu1) oneiric; urgency=low

  [ Jonathan Kolberg ]
  * New upstream release

  [ Scott Kitterman ]
  * Make the mobile package descriptions not identical to the regular ones
  * Improve kalgebra-dbg long descriptions
  * Fix kalgebra-dbg depends

 -- Scott Kitterman <scott@kitterman.com>  Thu, 08 Sep 2011 09:54:16 -0400

kalgebra (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * Bump breaks/replaces for kalgebramobile to catch natty 4.6.5 packages

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 22 Jul 2011 23:52:02 +0200

kalgebra (4:4.6.90+repack1-0ubuntu1) oneiric; urgency=low

  * New upstream relase candidate
  * Update packaging for split tarball
  * Repack source to include COPYING files

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 08 Jul 2011 20:10:34 +0200

=== debian/control ===
Source: kalgebra
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
 cmake,
 debhelper (>= 7.3.16),
 pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.6),
 libreadline-dev,
 pkg-config,
 libqt4-opengl-dev,
 libkdeedu-dev
Standards-Version: 3.9.2
Homepage: http://edu.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kalgebra
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kalgebra

Package: kalgebra
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}, kalgebra-common (= ${binary:Version})
Description: algebraic graphing calculator for KDE
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language.
 .
 This package is part of the KDE education module.

Package: kalgebra-mobile
Depends: kalgebramobile, ${misc:Depends}
Architecture: all
Section: math
Description: transitional dummy package for kalgebra-mobile
 This is a transitional package for kalgebra-mobile, and can be safely removed
 after the installation is complete.
 .
 This package is part of the KDE education module

Package: kalgebramobile
Architecture: any
Section: math
Breaks: kalgebra (<< 4:4.6.1a-0ubuntu2), kalgebra-mobile (<< 4.6.80)
Replaces: kalgebra (<< 4:4.6.1a-0ubuntu2), kalgebra-mobile (<< 4.6.80)
Depends: ${shlibs:Depends}, ${misc:Depends},  kalgebra-common (= ${binary:Version})
Description: algebraic graphing calculator for KDE mobile
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language.  This is the version for KDE mobile
 .
 This package is part of the KDE education module.

Package: kalgebra-common
Architecture: any
Section: math
Breaks: kalgebra (<< 4:4.6.1a-0ubuntu2)
Replaces: kalgebra (<< 4:4.6.1a-0ubuntu2)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: contains files common for kalgebra and kalgebra-mobile
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language and it contains files needed for both full and mobile
 versions.
 .
 This package is part of the KDE education module.

Package: kalgebra-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, kalgebra (= ${binary:Version})| kalgebramobile (= ${binary:Version})
Breaks: kdeedu-dbg (<< 4:4.6.80)
Replaces: kdeedu-dbg (<< 4:4.6.80)
Description: debugging symbols for the KDE education module
 This package contains debugging files used to investigate problems with
 binaries included in kalgebra.
 .
 This package is part of the KDE education module.

## kalgebra 4.7.2

=== debian/changelog ===
kalgebra (4:4.7.2-1) experimental; urgency=low

  [ José Manuel Santamaría Lema ]
  * Initial release. Start from the Ubuntu packaging, thanks!

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:44:03 -0300

=== debian/control ===
Source: kalgebra
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
 cmake,
 debhelper (>= 7.3.16),
 pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7),
 libreadline-dev,
 libncurses-dev,
 pkg-config,
 libqt4-opengl-dev,
 libkdeedu-dev
Standards-Version: 3.9.2
Homepage: http://edu.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kalgebra.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kalgebra.git

Package: kalgebra
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}, kalgebra-common (= ${binary:Version})
Breaks: kalgebramobile (<< 4:4.7.2)
Description: algebraic graphing calculator for KDE
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language.
 .
 This package is part of the KDE education module.

Package: kalgebramobile
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends},  kalgebra-common (= ${binary:Version})
Description: algebraic graphing calculator for KDE mobile
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language. This is the version for KDE mobile.
 .
 This package is part of the KDE education module.

Package: kalgebra-common
Architecture: any
Section: math
Breaks: kalgebra (<< 4:4.7.2)
Replaces: kalgebra (<< 4:4.7.2)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: contains files common for kalgebra and kalgebramobile
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language and it contains files needed for both full and mobile
 versions.
 .
 This package is part of the KDE education module.

Package: kalgebra-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libanalitza4 (= ${binary:Version}),
 libanalitzagui4 (= ${binary:Version})
Description: development files for kalgebra
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language. This package contains the development files needed to
 build other software against the KAlgebra libraries.
 .
 This package is part of the KDE education module.

Package: libanalitza4
X-Debian-ABI: 0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: kalgebra (<< 4:4.7.2)
Replaces: kalgebra (<< 4:4.7.2)
Description: library to  work with mathematical expressions
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions.
 .
 This package is part of the KDE education module.

Package: libanalitzagui4
X-Debian-ABI: 0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: kalgebra (<< 4:4.7.2)
Replaces: kalgebra (<< 4:4.7.2)
Description: library to  work with mathematical expressions - GUI routines
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the routines related
 to the graphical user interface.
 .
 This package is part of the KDE education module.

Package: kalgebra-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
 kalgebra (= ${binary:Version}) | kalgebramobile (= ${binary:Version}),
 libanalitza4 (= ${binary:Version}), libanalitzagui4 (= ${binary:Version})
Breaks: kdeedu-dbg (<< 4:4.6.80)
Replaces: kdeedu-dbg (<< 4:4.6.80)
Description: debugging symbols for the KDE education module
 This package contains debugging files used to investigate problems with
 binaries included in kalgebra.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_auto_configure:
	$(overridden_command) -- -DINSTALL_ANALITZA_HEADERS=TRUE

override_dh_makeshlibs:
	$(overridden_command) -V -- -c0

override_dh_shlibdeps:
	$(overridden_command) $(patsubst %,-p%,$(filter lib%,$(shell dh_listpackages))) -- -xkde-runtime
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbg-package=kalgebra-dbg

## kalgebra 4.7.4

=== debian/changelog ===
kalgebra (4:4.7.4-0ubuntu0.1) oneiric-proposed; urgency=low

  * New upstream bugfix release (LP: #913928)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 10 Jan 2012 10:50:53 -0500

kalgebra (4:4.7.3-0ubuntu0.2) oneiric-proposed; urgency=low

  * Drop incorrect addition of kalgebra-dev for post-release update

 -- Scott Kitterman <scott@kitterman.com>  Fri, 09 Dec 2011 23:55:03 -0500

kalgebra (4:4.7.3-0ubuntu0.1) oneiric-proposed; urgency=low

  [ Philip Muškovac ]
  * New  upstream bugfix release (LP: #901975)
    - Fix to build with -DINSTALL_ANALITZA_HEADERS=TRUE
    - Add kalgebra-dev with analitza headers, needed by cantor

 -- Scott Kitterman <scott@kitterman.com>  Thu, 08 Dec 2011 21:35:12 -0500

kalgebra (4:4.7.2-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release (LP: #872506)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 03 Oct 2011 22:52:33 +0200

=== debian/control ===
Source: kalgebra
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
 cmake,
 debhelper (>= 7.3.16),
 pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.6),
 libreadline-dev,
 libncurses-dev,
 pkg-config,
 libqt4-opengl-dev,
 libkdeedu-dev
Standards-Version: 3.9.2
Homepage: http://edu.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kalgebra
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kalgebra

Package: kalgebra
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}, kalgebra-common (= ${binary:Version})
Description: algebraic graphing calculator for KDE
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language.
 .
 This package is part of the KDE education module.

Package: kalgebra-mobile
Depends: kalgebramobile, ${misc:Depends}
Architecture: all
Section: math
Description: transitional dummy package for kalgebra-mobile
 This is a transitional package for kalgebra-mobile, and can be safely removed
 after the installation is complete.
 .
 This package is part of the KDE education module

Package: kalgebramobile
Architecture: any
Section: math
Breaks: kalgebra (<< 4:4.6.1a-0ubuntu2), kalgebra-mobile (<< 4.6.80)
Replaces: kalgebra (<< 4:4.6.1a-0ubuntu2), kalgebra-mobile (<< 4.6.80)
Depends: ${shlibs:Depends}, ${misc:Depends},  kalgebra-common (= ${binary:Version})
Description: algebraic graphing calculator for KDE mobile
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language. This is the version for KDE mobile
 .
 This package is part of the KDE education module.

Package: kalgebra-common
Architecture: any
Section: math
Breaks: kalgebra (<< 4:4.6.1a-0ubuntu2)
Replaces: kalgebra (<< 4:4.6.1a-0ubuntu2)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: contains files common for kalgebra and kalgebramobile
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language and it contains files needed for both full and mobile
 versions.
 .
 This package is part of the KDE education module.

Package: kalgebra-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, kalgebra (= ${binary:Version})| kalgebramobile (= ${binary:Version})
Breaks: kdeedu-dbg (<< 4:4.6.80)
Replaces: kdeedu-dbg (<< 4:4.6.80)
Description: debugging symbols for the KDE education module
 This package contains debugging files used to investigate problems with
 binaries included in kalgebra.
 .
 This package is part of the KDE education module.

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,6 @@
 include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
 
 .PHONY: override_dh_auto_test
-
-override_dh_auto_configure:
-	$(overridden_command) -- -DINSTALL_ANALITZA_HEADERS=TRUE
 
 override_dh_makeshlibs:
 	$(overridden_command) -V -- -c0

## kalgebra 4.8.2

=== debian/changelog ===
kalgebra (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 01 Apr 2012 21:13:54 +0200

kalgebra (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Mar 2012 19:37:48 +0100

kalgebra (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jan 2012 12:10:25 +0000

kalgebra (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate
  * Add build-dep on kdelibs5-experimental-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:23 +0000

kalgebra (4:4.7.95-0ubuntu1) precise; urgency=low

  [ Philip Muškovac ]
  * New upstream release candidate
    - update kalgebra-common.install

  [ Felix Geyer ]
  * Drop libanalitza4 and libanalitzagui4 from kalgebra-dbg dependencies.

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 18:52:18 +0100

kalgebra (4:4.7.90-0ubuntu3) precise; urgency=low

  * new upstream beta release
  * Remove enable_debianabimanager.diff now in analitza
  * Add analitza-dev build-dep

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Dec 2011 14:17:54 +0000

kalgebra (4:4.7.3-0ubuntu1) precise; urgency=low

  [ Jonathan Riddell ]
  * Merge with debian

  [ Colin Watson ]
  * Add kubuntu_remove_ncurses_requirement.diff remove libncurses
    requirement.  calgebra only uses symbols from libreadline.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 23:46:55 +0000

kalgebra (4:4.7.2-0r7) UNRELEASED; urgency=low

  * Initial release. Start from the Ubuntu packaging, thanks!

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 18 Oct 2011 01:12:28 +0200

kalgebra (4:4.7.3-0ubuntu1) UNRELEASED; urgency=low

  [ Philip Muškovac ]
  * New upstream release
    - Move libanalitza and libanalitzagui into seperate packages
    - Add symbol files for libanaliza and libanalitzagui
    - Add enable_debianabimanager.diff to enable the 
      Debian ABI Manager for libanalitza and libanalitzagui
    - libanalitza4 and libanalitzagui4 break/replace 
      kalgebra-common << 4:4.7.3
    - build with -DINSTALL_ANALITZA_HEADERS=TRUE
    - Add kalgebra-dev with analitza headers, needed by cantor
    - add libncurses-dev to build-deps

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 03 Oct 2011 22:52:33 +0200

=== debian/control ===
Source: kalgebra
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
 cmake,
 debhelper (>= 7.3.16),
 pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8.1),
 pkg-config,
 libqt4-opengl-dev,
 libkdeedu-dev,
 analitza-dev,
 kdelibs5-experimental-dev
Standards-Version: 3.9.2
Homepage: http://edu.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kalgebra
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kalgebra
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kalgebra.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kalgebra.git

Package: kalgebra
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}, kalgebra-common (= ${binary:Version})
Breaks: kalgebramobile (<< 4:4.7.2)
Description: algebraic graphing calculator for KDE
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language.
 .
 This package is part of the KDE education module.

Package: kalgebramobile
Architecture: any
Section: math
Breaks: kalgebra (<< 4:4.6.1a-0ubuntu2), kalgebra-mobile (<< 4.6.80)
Replaces: kalgebra (<< 4:4.6.1a-0ubuntu2), kalgebra-mobile (<< 4.6.80)
Depends: ${shlibs:Depends}, ${misc:Depends},  kalgebra-common (= ${binary:Version})
Description: algebraic graphing calculator for KDE mobile
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language. This is the version for KDE mobile.
 .
 This package is part of the KDE education module.

Package: kalgebra-common
Architecture: any
Section: math
Breaks: kalgebra (<< 4:4.7.2)
Replaces: kalgebra (<< 4:4.7.2)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: contains files common for kalgebra and kalgebramobile
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language and it contains files needed for both full and mobile
 versions.
 .
 This package is part of the KDE education module.

Package: kalgebra-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
 kalgebra (= ${binary:Version}) | kalgebramobile (= ${binary:Version})
Breaks: kdeedu-dbg (<< 4:4.6.80)
Replaces: kdeedu-dbg (<< 4:4.6.80)
Description: debugging symbols for the KDE education module
 This package contains debugging files used to investigate problems with
 binaries included in kalgebra.
 .
 This package is part of the KDE education module.

## kalgebra 4.8.4

=== debian/changelog ===
kalgebra (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:32:37 +0200

kalgebra (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Wed, 02 May 2012 10:08:53 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_makeshlibs:
	$(overridden_command) -V -- -c0

override_dh_strip:
	$(overridden_command) --dbg-package=kalgebra-dbg

## kalgebra 4.9.2

=== debian/changelog ===
kalgebra (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:10:50 +0100

kalgebra (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:16:11 +0530

kalgebra (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 17:00:57 +0100

kalgebra (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 22:03:33 +0200

kalgebra (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Jun 2012 13:38:31 +0100

kalgebra (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Bump Standards-Version to 3.9.3 (no change needed)
    - Add build-dep on libssl-dev

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Wed, 02 May 2012 10:08:53 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,17 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
+Build-Depends: 
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8.1),
+ kdelibs5-dev (>= 4:4.9.2),
  pkg-config,
  libqt4-opengl-dev,
- libkdeedu-dev,
+ libkdeedu-dev (>= 4:4.9.2),
  analitza-dev,
- kdelibs5-experimental-dev
-Standards-Version: 3.9.2
+ libssl-dev
+Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kalgebra
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kalgebra

## kalgebra 4.9.4

=== debian/changelog ===
kalgebra (4:4.9.4-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1085516)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 02 Dec 2012 00:43:54 +0100

kalgebra (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:31:46 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2),
+ kdelibs5-dev (>= 4:4.9.4),
  pkg-config,
  libqt4-opengl-dev,
- libkdeedu-dev (>= 4:4.9.2),
+ libkdeedu-dev (>= 4:4.9.3),
  analitza-dev,
  libssl-dev
 Standards-Version: 3.9.3

## kalgebra 4.9.5

=== debian/changelog ===
kalgebra (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:20:18 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.4),
+ kdelibs5-dev (>= 4:4.9.5),
  pkg-config,
  libqt4-opengl-dev,
  libkdeedu-dev (>= 4:4.9.3),

## kalgebra 4.10.0

=== debian/changelog ===
kalgebra (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:31:20 +0000

kalgebra (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 14:57:04 +0000

kalgebra (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:24:30 +0100

kalgebra (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:16:19 +0000

kalgebra (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:36:32 +0000

kalgebra (4:4.9.80-0ubuntu2) raring; urgency=low

  * Set minimum build-depends verion on analitza-dev to 4:4.9.80 as it needs
    the newer version of the library

 -- Scott Kitterman <scott@kitterman.com>  Thu, 22 Nov 2012 11:38:25 -0500

kalgebra (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release
  * Update .install files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:43:47 +0000

kalgebra (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:22:21 +0100

kalgebra (4:4.7.2-0r7) raring; urgency=low

  * Initial release. Start from the Ubuntu packaging, thanks!

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 18 Oct 2011 01:12:28 +0200

kalgebra (4:4.7.3-0ubuntu1) raring; urgency=low

  [ Philip Muškovac ]
  * New upstream release
    - Move libanalitza and libanalitzagui into seperate packages
    - Add symbol files for libanaliza and libanalitzagui
    - Add enable_debianabimanager.diff to enable the 
      Debian ABI Manager for libanalitza and libanalitzagui
    - libanalitza4 and libanalitzagui4 break/replace 
      kalgebra-common << 4:4.7.3
    - build with -DINSTALL_ANALITZA_HEADERS=TRUE
    - Add kalgebra-dev with analitza headers, needed by cantor
    - add libncurses-dev to build-deps

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 03 Oct 2011 22:52:33 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.5),
+ kdelibs5-dev (>= 4:4.10.0),
  pkg-config,
  libqt4-opengl-dev,
- libkdeedu-dev (>= 4:4.9.3),
- analitza-dev,
+ libkdeedu-dev (>= 4:4.10.0),
+ analitza-dev (>= 4:4.10.0),
  libssl-dev
 Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/

## kalgebra 4.10.2

=== debian/changelog ===
kalgebra (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:36:42 +0200

kalgebra (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release
  * Rewrite copyright file for current copyright information 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:13:22 +0000

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0),
+ kdelibs5-dev (>= 4:4.10.2),
  pkg-config,
  libqt4-opengl-dev,
- libkdeedu-dev (>= 4:4.10.0),
- analitza-dev (>= 4:4.10.0),
+ libkdeedu-dev (>= 4:4.10.2),
+ analitza-dev (>= 4:4.10.2),
  libssl-dev
 Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/

## kalgebra 4.10.4

=== debian/changelog ===
kalgebra (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:21:45 +0200

kalgebra (4:4.10.3-0ubuntu0.1~ubuntu13.04) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1176358)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 04 May 2013 18:03:09 +0200

kalgebra (4:4.10.2-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:36:42 +0200

kalgebra (4:4.10.1-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream bugfix release
  * Rewrite copyright file for current copyright information 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:13:22 +0000

kalgebra (4:4.10.0-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:31:20 +0000

kalgebra (4:4.9.98-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 14:57:04 +0000

kalgebra (4:4.9.97-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:24:30 +0100

kalgebra (4:4.9.95-0ubuntu1) raring-proposed; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:16:19 +0000

kalgebra (4:4.9.90-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:36:32 +0000

kalgebra (4:4.9.80-0ubuntu2) raring-proposed; urgency=low

  * Set minimum build-depends verion on analitza-dev to 4:4.9.80 as it needs
    the newer version of the library

 -- Scott Kitterman <scott@kitterman.com>  Thu, 22 Nov 2012 11:38:25 -0500

kalgebra (4:4.9.80-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release
  * Update .install files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:43:47 +0000

kalgebra (4:4.9.3-0ubuntu1) raring-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:22:21 +0100

kalgebra (4:4.7.2-0r7) raring-proposed; urgency=low

  * Initial release. Start from the Ubuntu packaging, thanks!

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 18 Oct 2011 01:12:28 +0200

kalgebra (4:4.7.3-0ubuntu1) raring-proposed; urgency=low

  [ Philip Muškovac ]
  * New upstream release
    - Move libanalitza and libanalitzagui into seperate packages
    - Add symbol files for libanaliza and libanalitzagui
    - Add enable_debianabimanager.diff to enable the 
      Debian ABI Manager for libanalitza and libanalitzagui
    - libanalitza4 and libanalitzagui4 break/replace 
      kalgebra-common << 4:4.7.3
    - build with -DINSTALL_ANALITZA_HEADERS=TRUE
    - Add kalgebra-dev with analitza headers, needed by cantor
    - add libncurses-dev to build-deps

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 03 Oct 2011 22:52:33 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.2),
+ kdelibs5-dev (>= 4:4.10.4),
  pkg-config,
  libqt4-opengl-dev,
- libkdeedu-dev (>= 4:4.10.2),
- analitza-dev (>= 4:4.10.2),
+ libkdeedu-dev (>= 4:4.10.4),
+ analitza-dev (>= 4:4.10.4),
  libssl-dev
 Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/

## kalgebra 4.11.2

=== debian/changelog ===
kalgebra (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 13:58:00 +0100

kalgebra (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:05:52 +0100

kalgebra (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Aug 2013 23:58:07 +0100

kalgebra (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:05:45 +0100

kalgebra (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:31:49 +0000

kalgebra (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 17:59:27 +0100

kalgebra (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 00:46:54 +0100

kalgebra (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Jun 2013 23:36:01 +0100

kalgebra (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, no changes
  * Drop kubuntu_remove_ncurses_requirement.diff now implemented upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:26 +0000

kalgebra (4:4.10.2-1) experimental; urgency=low

  * New upstream release.
  * Bump stuff to 4.10
  * Update uploaders
  * Update install-files

 -- Sune Vuorela <sune@debian.org>  Sat, 06 Apr 2013 10:41:43 +0000

kalgebra (4:4.8.4-1) unstable; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Split analitza out of kalgebra:
    - drop enable_debianabimanager.diff, no longer needed since kalgebra doesn't
      provide any dynamic library now.
    - remove libanalitza4, libanalitzagui4 and kalgebra-dev binary packages.
    - build depend on libanalitza-dev.
    - don't pass -DINSTALL_ANALITZA_HEADERS=TRUE to cmake.
    - don't pass -c0 to dh_shlibdeps.
    - remove override_dh_shlibdeps, no longer needed.
    - remove calgebra from kalgebra-common, now provided by src:analitza. 
    - drop libreadline-dev and libncurses-dev, only used by analitza.
  * Bump build dependencies for KDE SC 4.8.4:
    - kde-sc-dev-latest to 4:4.8.4.
    - kdelibs5-dev to 4:4.8.
    - libkdeedu-dev to 4:4.8.
  * Update installed files.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Add watch file.
  * Update copyright file.

  [ Sune Vuorela ]
  * Update descriptions

 -- Sune Vuorela <sune@debian.org>  Fri, 22 Jun 2012 09:43:31 +0200

kalgebra (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.

  [ José Manuel Santamaría Lema ]
  * Confirm symbols files on all architectures.

 -- Pino Toscano <pino@debian.org>  Wed, 07 Mar 2012 10:20:49 +0100

kalgebra (4:4.7.4-1) experimental; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.2.
  * Remove patches:
   - add_findanalitza.diff, applied upstream.
   - install_variables_model.diff, applied upstream.
  * Confirm symbols files on more architectures with 4.7.2 build logs.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 00:52:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,11 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: 
- cmake,
- debhelper (>= 7.3.16),
- pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.4),
- pkg-config,
- libqt4-opengl-dev,
- libkdeedu-dev (>= 4:4.10.4),
- analitza-dev (>= 4:4.10.4),
- libssl-dev
+Uploaders: Sune Vuorela <sune@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.10),
+ cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), pkg-config,
+ kdelibs5-dev (>= 4:4.11.2), libkdeedu-dev (>= 4:4.11.2), libanalitza-dev (>= 4:4.11.2),
+ libqt4-opengl-dev
 Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kalgebra
@@ -26,7 +20,7 @@
 Section: math
 Depends: ${shlibs:Depends}, ${misc:Depends}, kalgebra-common (= ${binary:Version})
 Breaks: kalgebramobile (<< 4:4.7.2)
-Description: algebraic graphing calculator for KDE
+Description: algebraic graphing calculator
  KAlgebra is a algebraic graphing calculator with support for 3D graphing and
  MathML markup language.
  .
@@ -35,12 +29,10 @@
 Package: kalgebramobile
 Architecture: any
 Section: math
-Breaks: kalgebra (<< 4:4.6.1a-0ubuntu2), kalgebra-mobile (<< 4.6.80)
-Replaces: kalgebra (<< 4:4.6.1a-0ubuntu2), kalgebra-mobile (<< 4.6.80)
 Depends: ${shlibs:Depends}, ${misc:Depends},  kalgebra-common (= ${binary:Version})
-Description: algebraic graphing calculator for KDE mobile
+Description: algebraic graphing calculator for small touch based interfaces
  KAlgebra is a algebraic graphing calculator with support for 3D graphing and
- MathML markup language. This is the version for KDE mobile.
+ MathML markup language. This is the version for small touch based interfaces
  .
  This package is part of the KDE education module.
 
@@ -62,7 +54,8 @@
 Section: debug
 Priority: extra
 Depends: ${misc:Depends},
- kalgebra (= ${binary:Version}) | kalgebramobile (= ${binary:Version})
+ kalgebra (= ${binary:Version}) | kalgebramobile (= ${binary:Version}),
+Recommends: libanalitza-dbg
 Breaks: kdeedu-dbg (<< 4:4.6.80)
 Replaces: kdeedu-dbg (<< 4:4.6.80)
 Description: debugging symbols for the KDE education module

## kalgebra 4.13.0

=== CMakeLists.txt ===
project(kalgebra)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
set(CMAKE_MODULE_PATH ${kalgebra_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

find_package(Analitza REQUIRED)

find_package(Qt4 COMPONENTS QtWebKit REQUIRED)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${LIBKDEEDU_INCLUDE_DIR}/qtmml ${ANALITZA_INCLUDE_DIR})

macro_optional_find_package(OpenGL)
macro_bool_to_01(OPENGL_FOUND HAVE_OPENGL)
macro_log_feature(OPENGL_FOUND "OpenGL" "Support for 3D graphs in KAlgebra" "http://mesa3d.sourceforge.net" FALSE "" "")

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config-kalgebra.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config-kalgebra.h)

include_directories(.)
add_definitions (-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

set(MOBILE_BACKEND "kde" CACHE STRING "Backend to install, currently. Check /mobile/plugins/widgets/*")

if(NOT MOBILE_BACKEND STREQUAL "harmattan")
  add_subdirectory(doc)
  add_subdirectory(src)
  add_subdirectory(plasmoids)
endif(NOT MOBILE_BACKEND STREQUAL "harmattan")
add_subdirectory(icons)
add_subdirectory(utils)

macro_optional_add_subdirectory(mobile)

add_custom_target(commandsdoc
	${CMAKE_CURRENT_BINARY_DIR}/utils/docbook_analitzacommands commands.docbook
	DEPENDS docbook_analitzacommands
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/doc/
	COMMENT "Generating commands docbook information"
)

if (${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR})
   macro_display_feature_log()
endif (${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR})

=== mobile/CMakeLists.txt ===
add_subdirectory(declarative)
add_subdirectory(plugins)

if(${MOBILE_BACKEND} STREQUAL "kde")
	add_definitions(-DKDECOMPONENTS)
endif(${MOBILE_BACKEND} STREQUAL "kde")

qt4_add_resources(KALGEBRAMOBILE_SRCS resources.qrc)
kde4_add_executable(kalgebramobile pluginsmodel.cpp
	kalgebramobile.cpp main.cpp ${KALGEBRAMOBILE_SRCS})

target_link_libraries(kalgebramobile ${KDE4_KDECORE_LIBS} ${QT_QTDECLARATIVE_LIBRARY}
	${QT_QTGUI_LIBRARY} ${ANALITZA_LIBRARY} ${ANALITZAGUI_LIBRARY} ${ANALITZAPLOT_LIBRARY})

add_definitions("-DPREFIX=\\\"${CMAKE_INSTALL_PREFIX}\\\"")

set(DESKTOPFILE_INSTALL ${XDG_APPS_INSTALL_DIR})
if(${MOBILE_BACKEND} STREQUAL "harmattan")
	set(DESKTOPFILE_INSTALL ${XDG_APPS_INSTALL_DIR}/..)
elseif(${MOBILE_BACKEND} STREQUAL "kde")
	target_link_libraries(kalgebramobile kdeclarative)
endif(${MOBILE_BACKEND} STREQUAL "harmattan")

set(DESKTOPFILE kalgebramobile.desktop)
if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/kalgebramobile${MOBILE_BACKEND}.desktop)
	set(DESKTOPFILE kalgebramobile${MOBILE_BACKEND}.desktop)
endif()

install(TARGETS kalgebramobile ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS ${DESKTOPFILE} DESTINATION ${DESKTOPFILE_INSTALL} )

=== src/CMakeLists.txt ===
if(OPENGL_FOUND)
	include_directories(${OPENGL_INCLUDE_DIR})
endif(OPENGL_FOUND)

set(kalgebra_SRCS
	kalgebra.cpp
	dictionary.cpp
	#console.cpp
	consolehtml.cpp
	varedit.cpp
	main.cpp
	variablesdelegate.cpp
	viewportwidget.cpp
	functionedit.cpp
)

#uncomment this if oxygen icons for kalgebra are available
#kde4_add_app_icon(kalgebra_SRCS "${CMAKE_INSTALL_PREFIX}/share/icons/oxygen/*/apps/kalgebra.png")
kde4_add_app_icon(kalgebra_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/hi*-app-kalgebra.png")

kde4_add_executable(kalgebra ${kalgebra_SRCS})
target_link_libraries(kalgebra
	${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTWEBKIT_LIBRARY}
	${KDE4_KPARTS_LIBS}
	${ANALITZA_LIBRARY} ${ANALITZAGUI_LIBRARY} ${ANALITZAPLOT_LIBRARY}
)

if(OPENGL_FOUND)
   target_link_libraries(kalgebra ${QT_QTOPENGL_LIBRARY} ${OPENGL_gl_LIBRARY} ${OPENGL_glu_LIBRARY})
endif(OPENGL_FOUND)

install(TARGETS kalgebra ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS kalgebra.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install(FILES kalgebra.xml DESTINATION ${DATA_INSTALL_DIR}/katepart/syntax )

=== mobile/plugins/CMakeLists.txt ===
add_subdirectory(widgets)

install( FILES
	Console.qml Plot2D.qml Tables.qml
	About.qml VariablesView.qml
	kalgebraconsole.desktop kalgebraplot2d.desktop kalgebratables.desktop kalgebraabout.desktop kalgebravariables.desktop
	DESTINATION ${DATA_INSTALL_DIR}/kalgebramobile/plugins/
)

=== mobile/plugins/widgets/CMakeLists.txt ===
add_subdirectory(${MOBILE_BACKEND})

install( FILES
    qmldir
    DESTINATION ${DATA_INSTALL_DIR}/kalgebramobile/plugins/widgets/
)

=== debian/changelog ===
kalgebra (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:38:10 +0100

kalgebra (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:09:47 +0200

kalgebra (4:4.12.95-0ubuntu1) trusty; urgency=medium

  [ Rohan Garg ]
  * New upstream beta release

  [ Philip Muškovac ]
  * Drop upstream_don-t-require-qtmathml-anymore.diff, applied upstream

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 11:56:18 +0100

kalgebra (4:4.12.90-0ubuntu1) trusty; urgency=medium

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Philip Muškovac ]
  * Cherry pick fb5fd9a83e0e648736d0f7d8c4a99dce6da4a78b as
    upstream_don-t-require-qtmathml-anymore.diff to make kalgebra
    build again

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:36:26 +0000

kalgebra (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:29:07 +0100

kalgebra (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:37:39 +0000

kalgebra (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 07:57:10 +0000

kalgebra (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:26:00 +0000

kalgebra (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:32:17 +0000

kalgebra (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:43:49 +0100

kalgebra (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release
  * Build-depend on libqtwebkit-dev

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:27:22 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders: Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), pkg-config,
- kdelibs5-dev (>= 4:4.11.2), libkdeedu-dev (>= 4:4.11.2), libanalitza-dev (>= 4:4.11.2),
- libqt4-opengl-dev
+ kdelibs5-dev (>= 4:4.13.0), libkdeedu-dev (>= 4:4.13.0), libanalitza-dev (>= 4:4.13.0),
+ libqt4-opengl-dev, libqtwebkit-dev
 Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kalgebra

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kalgebra-([\d\.]*).tar.xz

## kalgebra 4.13.3

=== doc/CMakeLists.txt ===
########### install files ###############
#

kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kalgebra)

=== plasmoids/CMakeLists.txt ===
add_subdirectory(calculator)

install(DIRECTORY graphsplasmoid/ DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/org.kde.graphsplasmoid)
install(FILES graphsplasmoid/metadata.desktop DESTINATION ${SERVICES_INSTALL_DIR} RENAME graphsplasmoid.desktop)

=== debian/changelog ===
kalgebra (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:21:06 +0200

kalgebra (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:48:17 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), pkg-config,
- kdelibs5-dev (>= 4:4.13.0), libkdeedu-dev (>= 4:4.13.0), libanalitza-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.3), libkdeedu-dev (>= 4:4.13.0), libanalitza-dev (>= 4:4.13.0),
  libqt4-opengl-dev, libqtwebkit-dev
 Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=kalgebra-dbg
